%define debug_package %{nil}

%define prerelease 33e07d32887e1e06b7c025f27ce52f62c7990bc0
%define import_path github.com/syndtr/gocapability
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
%define date 20180223

Summary:	Utilities for manipulating POSIX capabilities in Go
Name:		golang-syndtr-gocapability
Version:	0.1.%{date}_git%{shortcommit}
Release:	%mkrel 5
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:	golang(%{import_path}/capability) = %{version}-%{release}

%description
Utilities for manipulating POSIX capabilities in Go

%prep
%setup -q -n gocapability-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE

%files
%doc LICENSE
%{gosrc}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.1.20180223_git33e07d3-5.mga10
+ Revision: 2195373
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Tue Mar 15 2022 umeabot <umeabot> 0.1.20180223_git33e07d3-4.mga9
+ Revision: 1791911
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.20180223_git33e07d3-3.mga8
+ Revision: 1512686
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.20180223_git33e07d3-2.mga7
+ Revision: 1298023
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 kekepower <kekepower> 0.1.20180223_git33e07d3-1.mga7
+ Revision: 1213085
- Update to 0.1.20180223_git33e07d3

* Thu Feb 11 2016 umeabot <umeabot> 0.1.git3454319-6.mga6
+ Revision: 954183
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.git3454319-5.mga6
+ Revision: 893501
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.git3454319-4.mga5
+ Revision: 743204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.git3454319-3.mga5
+ Revision: 679879
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.git3454319-2.mga5
+ Revision: 641544
- Fix for golang FHS

* Sun Dec 22 2013 thatsamguy <thatsamguy> 0.1.git3454319-1.mga4
+ Revision: 559724
- imported package golang-syndtr-gocapability

